Summary: Script to Install AFS on a Fermi machine
Name: afs-fermi
%define release 5
Version: 3.5
Release: %{release}
Copyright:Transarc
Group: Fermi
Packager: Troy Dawson <dawson@fnal.gov>
Source: afs35fermi.tgz

%description
Arnold File Sharing version 3.5, setup for Fermilab.  
This rpm sets it up AFS 3.5 for a Fermilab Linux machine 
that is runinng kernel 2.2 and above.
-----
Release 2 includes modules for kernels 2.2.12 & 2.2.12-20
as well as a patched version of insmod
-----
Release 3 upgrades the pam.d (login security) files so that
everything that needs a password will get the AFS password 
as well.
-----
Release 4 trims the package down in size.  It only has the 
modules that are needed for a RedHat 6.1 install or greater.
-----
Release 5 fixes an upgrade bug in release 4 as well as a time
problem.  It now sync's the hardware clock to the system clock
daily, as well as on normal shutdowns.  Release 5 also does not
modify the pam files, you will have to install the afs-fermi-pam
rpms to get automatic afs tokens.
-----

%preun
/usr/sbin/uninstall-afs35 %{release}

%prep
%setup

%install
install -m 0755 -d /usr/vice/etc
install -m 0755 -d /usr/vice/etc/C
install -m 0755 -d /usr/vice/cache
install -m 0755 -d /usr/vice/etc/modload

install -m 0644 CellServDB /usr/vice/etc/CellServDB
install -m 0644 ThisCell /usr/vice/etc/ThisCell
install -m 0644 afs.conf /usr/vice/etc/afs.conf
install -m 0744 afs.rc /usr/vice/etc/afs.rc
install -m 0744 afs.rc.original /usr/vice/etc/afs.rc.original
install -m 0744 afsd /usr/vice/etc/afsd
install -m 0644 cacheinfo /usr/vice/etc/cacheinfo
install -m 0644 afszcm.cat /usr/vice/etc/C/afszcm.cat
install -m 0644 libafs-2.2.12.mp.o /usr/vice/etc/modload/libafs-2.2.12.mp.o
install -m 0644 libafs-2.2.12.o /usr/vice/etc/modload/libafs-2.2.12.o
install -m 0644 afs.conf /etc/sysconfig/afs
install -m 0744 afs.rc /etc/rc.d/init.d/afs
install -m 0744 clocksync /etc/cron.daily/clocksync
install -m 0755 pam_afs.so.1 /lib/security/pam_afs.so.1
install -m 0700 install-afs35 /usr/sbin/install-afs35
install -m 0700 uninstall-afs35 /usr/sbin/uninstall-afs35
install -m 0755 insmod /sbin/insmod.transarc
echo "%{release}" > /usr/sbin/afs-fermi-rpm-release

%post
/usr/sbin/install-afs35 %{release}

%files
%dir /usr/vice/etc
%dir /usr/vice/etc/C
%dir /usr/vice/etc/modload
%dir /usr/vice/cache
/usr/vice/etc/CellServDB
/usr/vice/etc/ThisCell
/usr/vice/etc/afs.conf
/usr/vice/etc/afs.rc
/usr/vice/etc/afs.rc.original
/usr/vice/etc/afsd
/usr/vice/etc/cacheinfo
/usr/vice/etc/C/afszcm.cat
/usr/vice/etc/modload/libafs-2.2.12.mp.o
/usr/vice/etc/modload/libafs-2.2.12.o
/etc/sysconfig/afs
/etc/rc.d/init.d/afs
/etc/cron.daily/clocksync
/lib/security/pam_afs.so.1
/usr/sbin/afs-fermi-rpm-release
/usr/sbin/install-afs35
/usr/sbin/uninstall-afs35
/sbin/insmod.transarc
/usr/afsws
/afs
/lib/security/pam_afs.so
